## Function(treeId, treeNode)setting.callback.beforeMouseUp

### Overview[ depends on jquery.ztree.core js ]

Specify callback function, executed before the 'onMouseUp' callback, The return value controls the 'onMouseUp' callback.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node which mouse over

If the DOM which mouse over isn't a node, it will return null.

#### Return Boolean

return true or false

If return false, zTree will not trigger the 'onMouseUp' callback, no effect on other operations.

### Examples of setting & function

#### 1. disable to trigger the 'onMouseUp' callback

    function myBeforeMouseUp(treeId, treeNode) {
        return false;
    };
    var setting = {
    	callback: {
    		beforeMouseUp: myBeforeMouseUp
    	}
    };
    ......